# Method: projects.updateAccessApprovalSettings

- [HTTP request](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects/updateAccessApprovalSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects/updateAccessApprovalSettings#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects/updateAccessApprovalSettings#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects/updateAccessApprovalSettings#body.request_body)
- [Response body](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects/updateAccessApprovalSettings#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects/updateAccessApprovalSettings#body.aspect)

Updates the settings associated with a project, folder, or organization. Settings to update are determined by the value of field_mask.

### HTTP request

`PATCH https://accessapproval.googleapis.com/v1/{settings.name=projects/*/accessApprovalSettings}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `settings.name` | `string` The resource name of the settings. Format is one of: - "projects/{project}/accessApprovalSettings" - "folders/{folder}/accessApprovalSettings" - "organizations/{organization}/accessApprovalSettings" |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The update mask applies to the settings. Only the top level fields of AccessApprovalSettings (notificationEmails \& enrolledServices) are supported. For each field, if it is included, the currently stored value will be entirely overwritten with the value of the field passed in this request. For the `FieldMask` definition, see <https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask> If this field is left unset, only the notificationEmails field will be updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/AccessApprovalSettings`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/AccessApprovalSettings`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).